package cn.wisenergy.service.app;

import cn.wisenergy.model.app.shopZx;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * Created by m1991 on 2021/2/24 13:49
 */
public interface UploadService {
    /**
     * 视频文件上传   zxUrl, userId,zxName,zxField,imgUrl
     * @param request
     * @return
     */
    public Map<String, Object> uploadVideo(MultipartFile file,HttpServletRequest request,String userId,String zxField,String zxAddress) throws Exception;

    /**
     * 图片文件上传
     * @param request
     * @return
     */
    public Map<String, Object> uploadImage(MultipartFile file, HttpServletRequest request,String userId,String zxField,String zxAddress) throws Exception;

    /**
     * 项目目录下的图片文件上传
     * @param request
     * @return
     */
    public Map<String, Object> getImageUrl(HttpServletRequest request) throws Exception;

    /**
     * 查询资讯所有信息（分页——10条信息一页）
     * @param
     * @return
     */
//      List<shopZx> getList();



}
