package cn.wisenergy.mapper;

import cn.wisenergy.model.app.TeamPerformance;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

/**
 * @author 86187
 */
public interface TeamPerformanceMapper  extends BaseMapper<TeamPerformance> {

    int add(TeamPerformance teamPerformance);

    int edit(TeamPerformance teamPerformance);

    int delById(@Param("id") Integer id);

    TeamPerformance getByUserIdAndTime(@Param("userId") String userId,@Param("yearMonth") Date yearMonth);

    /**
     * 统计
     * @param userLevel 等级
     * @param yearMonth 年月
     * @return  等级总金额
     */
    Double countTeamMoney(@Param("userLevel") Integer userLevel, @Param("yearMonth") Date yearMonth);
}
