package cn.wisenergy.model.app;


import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * Created by m1991 on 2021/2/22 15:29
 * 资讯实体类
 */

@Data
@ApiModel(value = "AccountUsers")
@TableName("shop_zx")
public class shopZx extends Model<shopZx> implements Serializable{
    private static final long serialVersionUID = 2525339404301884673L;

    /**
     * 资讯主键id
     */
    @ApiModelProperty(name = "zxid", value = "资讯主键id")
    private Integer zxid;

    /**
     * 视频存放地址
     */
    @ApiModelProperty(name = "zxUrl", value = "视频/图片存放地址")
    private String zxUrl;

    /**
     * 用户id(作者id
     */
    @ApiModelProperty(name = "userid", value = "用户id(作者id)")
    private String userid;

    /**
     * 获赞数
     */
    @ApiModelProperty(name = "zxLikes", value = "获赞数")
    private Integer zxLikes;

    /**
     * 视频/图片名称
     */
    @ApiModelProperty(name = "zxName", value = "视频/图片名称")
    private String zxName;

    /**
     * 审核字段
     */
    @ApiModelProperty(name = "zxShenHe", value = "审核字段")
    private Integer zxShenHe;

    /**
     * 资讯文字输入字段
     */
    @ApiModelProperty(name = "zxField", value = "资讯文字输入字段")
    private String zxField;

    /**
     * 资讯数据创建时间
     */
    @ApiModelProperty(name = "zxDate", value = "资讯数据创建时间")
    private Date zxDate;

    /**
     * 图片存放地址
     */
    @ApiModelProperty(name = "imgUrl", value = "图片存放地址")
    private String imgUrl;

    /**
     * 用户发布地址
     */
    @ApiModelProperty(name = "zxAddress", value = "用户发布地址")
    private String zxAddress;
}
